#!/bin/bash
#set -v
v=`showverlist`
if [ -e "/data/errors/maintlog.db" ]; then
	l=`sqlite3 /data/errors/maintlog.db 'select max(time) from maintlog where author="syncver"'`
else
	l="unknown"
fi

n="no_cell_number"
if [ -f /cell/test_cell_number ]; then
	n=$(cat /cell/test_cell_number)
fi
if [ -f /cell/site_special ]; then
	SITE=$(cat /cell/site_special | grep  test_site  | sed s/\'//g | awk '{print $3 }' | sed -e "s{\"{{g")
else
	SITE="CTC"
fi
n="$SITE-tc$n"
d=`date +%0Y%0m%0d`
if [ -z "$CYFLEX_SHOWVERLIST_REPORT_DIR" ];then
	CYFLEX_SHOWVERLIST_REPORT_DIR="/mnt/TcNfs/showverlistreport"
fi
if [ ! -e "$CYFLEX_SHOWVERLIST_REPORT_DIR" ]; then
	echo -e "showverlistreport cannot find $CYFLEX_SHOWVERLIST_REPORT_DIR\n"
	exit 255
fi

fname="$CYFLEX_SHOWVERLIST_REPORT_DIR/$n.$d.verlist"
if [ -e "/cyflex/bin/cyflex_release_ver" ]; then
	cv=`/cyflex/bin/cyflex_release_ver`;
else
	cv="";
fi
echo -e "CELL,CyFlex Version,LastSyncVer" > $fname
echo -e "$n,$cv,$l" >> $fname
g=`echo "$v" | grep "All files are up to date\." -`
if [ -z "$g" ]; then
	echo "$v" |  head -n-2 | tail -n+3 | grep -v "Files marked with a" | sed -e "s{\t{,{g" | sed -e "s{^{\,\,{g" | sed -e "s/\ \ */,/g" >> $fname
else
	echo -e ",,All files are up to date." >> $fname
fi
